import '../../domain/entities/wallet_entity.dart';

abstract class WalletStatus {}

class WalletInitial extends WalletStatus {}

class WalletLoading extends WalletStatus {}

class WalletLoaded extends WalletStatus {
  final WalletEntity wallet;
  WalletLoaded(this.wallet);
}

class WalletError extends WalletStatus {
  final String message;
  WalletError(this.message);
}
